Browse Source

Update ldap plugin to use plugin version 3.0.0

deployment_tasks.yaml file was added to satisfy
plugin v3.0.0 requirements.

Change-Id: I1fc6680294eeaa16eacd6a3ad30e2ce21b479c7c
Maksym Yatsenko 3 years ago
parent
commit
721dac391d
2 changed files with 5 additions and 3 deletions
  1. 4
    2
      deployment_tasks.yaml
  2. 1
    1
      metadata.yaml

tasks.yaml → deployment_tasks.yaml View File

@@ -1,6 +1,8 @@
1
-- role: [primary-controller, controller]
2
-  stage: post_deployment
1
+- id: ldap_plugin
3 2
   type: puppet
3
+  groups: [primary-controller, controller]
4
+  required_for : [deploy_end]
5
+  requires: [keystone-db, keystone, horizon]
4 6
   parameters:
5 7
     puppet_manifest: "puppet/manifests/controller_site.pp"
6 8
     puppet_modules: "puppet/modules/:/etc/puppet/modules/"

+ 1
- 1
metadata.yaml View File

@@ -13,4 +13,4 @@ releases:
13 13
     mode: ['ha', 'multinode']
14 14
     deployment_scripts_path: deployment_scripts/
15 15
     repository_path: repositories/ubuntu
16
-package_version: '2.0.0'
16
+package_version: '3.0.0'

Loading…
Cancel
Save